Bug 524000 - grub once documentation confusing
Summary: grub once documentation confusing
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: grub
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-17 14:50 UTC by Andi Kleen
Modified: 2010-06-28 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
bD
Clone Of:
Environment:
Last Closed: 2010-06-28 14:42:28 UTC


Attachments (Terms of Use)

Description Andi Kleen 2009-09-17 14:50:24 UTC
Description of problem:

Booting a kernel only once is very important for kernel hacking on remote
machines.

When I look into "info grub" it documents a complicated method (default=saved etc.) that doesn't work in my testing. Also it refers
to programs (grub-set-default) which are not included

After googling I found savedefault --once --default=X 
which works (and is much nicer than the complicated method
in the info file), but is undocumented.

So please remove the not working version from the documentation 
and replace it with a pointer to the working version.

Also some other distros (e.g. suse) have a "grubonce" script
that makes this all very easy and straight forward. Any chance
of adopting that script too in the rpm?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Bug Zapper 2010-04-28 10:26:22 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2010-06-28 14:42:28 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Andi Kleen 2010-06-28 15:37:46 UTC
Dear Fedora, ignoring bug reports does not make the bugs go away,
as much as you would like that to be the case.

Comment 4 Andi Kleen 2010-06-28 15:37:46 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
bD


Note You need to log in before you can comment on or make changes to this bug.